Package org.jacoco.core.internal.analysis.filter

## Interface IFilter

All Known Implementing Classes:
  `AnnotationGeneratedFilter`, `EnumEmptyConstructorFilter`, `EnumFilter`, `Filters`, `FinallyFilter`, `KotlinCoroutineFilter`, `KotlinDefaultArgumentsFilter`, `KotlinGeneratedFilter`, `KotlinInlineFilter`, `KotlinLateinitFilter`, `KotlinNotNullOperatorFilter`, `KotlinUnsafeCastOperatorFilter`, `KotlinWhenFilter`, `KotlinWhenStringFilter`, `PrivateEmptyNoArgConstructorFilter`, `StringSwitchEcjFilter`, `StringSwitchJavacFilter`, `SynchronizedFilter`, `SyntheticFilter`, `TryWithResourcesEcjFilter`, `TryWithResourcesJavac11Filter`, `TryWithResourcesJavacFilter`

    public interface IFilter

Interface for filter implementations. Instances of filters are created for analysis of each class and so can have per-class state.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `filter​(org.objectweb.asm.tree.MethodNode methodNode, IFilterContext context, IFilterOutput output)` This method is called for every method.

### Method Detail

#### filter

    void filter​(org.objectweb.asm.tree.MethodNode methodNode,
                IFilterContext context,
                IFilterOutput output)

This method is called for every method. The filter implementation is expected to inspect the provided method and report its result to the given `IFilterOutput` instance.

Parameters:
  `methodNode` - method to inspect
  `context` - context information for the method
  `output` - callback to report filtering results to